
(when (< emacs-major-version 24)
  (error "ERROR! (slime-config.el): Emacs versions smaller than 24 are not supported by the current implementation of Slime. Sorry. Please make sure your default Emacs version is 24."))

(add-to-list 'load-path "/opt/ros/noetic/share/emacs/site-lisp")
(require 'rosemacs-config)

(require 'slime-autoloads)
;; (setq slime-backend "swank-loader.lisp")
(add-hook 'inferior-lisp-mode-hook (lambda () (inferior-slime-mode 1)))

;; If you don't like the highlighting of new uncompiled code, uncomment this:
;; (add-hook 'slime-mode-hook (lambda () (slime-highlight-edits-mode 0)))

(setq inferior-lisp-program "/usr/bin/sbcl")
(setq slime-lisp-implementations nil)

(setq slime-contribs '(slime-repl
                       slime-autodoc
                       slime-c-p-c
                       slime-editing-commands
                       slime-fancy-inspector
                       slime-fancy-trace
                       slime-fuzzy
                       slime-presentations
                       slime-scratch
                       slime-references
                       slime-package-fu
                       slime-fontifying-fu
                       slime-trace-dialog
                       slime-asdf
                       slime-indentation
                       slime-xref-browser
                       slime-highlight-edits
                       slime-ros))

(setq slime-complete-symbol-function 'slime-fuzzy-complete-symbol)

(provide 'slime-config)
